# Generated by Django 3.0.10 on 2020-12-08 20:34

from decimal import Decimal
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
from apps.catalogue.models import Tax


def create_default_taxes(apps, schema_editor):
    Tax = apps.get_model('catalogue', 'Tax')
    Tax.objects.get_or_create(
        id=1, defaults={'name': 'Standard', 'rate': '19'}
        )
    Tax.objects.get_or_create(
        id=2, defaults={'name': 'Reduziert', 'rate': '7'}
        )


class Migration(migrations.Migration):

    dependencies = [
        ('catalogue', '0024_auto_20201208_1015'),
    ]

    operations = [
        migrations.CreateModel(
            name='Tax',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Name')),
                ('rate', models.DecimalField(blank=True, decimal_places=4, max_digits=12, null=True, validators=[django.core.validators.MinValueValidator(Decimal('0.00')), django.core.validators.MaxValueValidator(Decimal('100.00'))], verbose_name='Tax rate')),
            ],
        ),
        migrations.RunPython(create_default_taxes),
        migrations.AddField(
            model_name='product',
            name='box_deposit',
            field=models.PositiveIntegerField(blank=True, help_text='Box that contains the product. You can create one in deposit menu.', null=True, verbose_name='Box deposit'),
        ),
        migrations.AddField(
            model_name='product',
            name='container_count',
            field=models.PositiveIntegerField(blank=True, help_text='Amount of Container (eg. bottles) of the Product.', null=True, verbose_name='Container Count'),
        ),
        migrations.AlterField(
            model_name='product',
            name='deposit',
            field=models.PositiveIntegerField(blank=True, null=True, verbose_name='Deposit (import)'),
        ),
        migrations.AddField(
            model_name='product',
            name='tax',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='catalogue.Tax', verbose_name='Tax'),
        ),
    ]
