# Generated by Django 3.0.10 on 2020-12-17 11:04

import datetime
from django.db import migrations, models
from django.utils.timezone import utc


def create_valid_values(apps, schema_editor):
    Product = apps.get_model('catalogue', 'Product')
    Product.objects.filter(special_price_start__exact=None).update(special_price_start=datetime.datetime(2000, 1, 1, 0, 0, tzinfo=utc))
    Product.objects.filter(special_price_end__exact=None).update(special_price_end=datetime.datetime(3000, 1, 1, 0, 0, tzinfo=utc))


class Migration(migrations.Migration):

    dependencies = [
        ('catalogue', '0038_auto_20201215_0143'),
    ]

    operations = [
        migrations.RunPython(create_valid_values),
        migrations.AlterField(
            model_name='product',
            name='special_price_end',
            field=models.DateTimeField(default=datetime.datetime(3000, 1, 1, 0, 0, tzinfo=utc), help_text='Offers are active until the end date. Leave this empty if the offer has no expiry date.', verbose_name='End date'),
        ),
        migrations.AlterField(
            model_name='product',
            name='special_price_start',
            field=models.DateTimeField(default=datetime.datetime(2000, 1, 1, 0, 0, tzinfo=utc), help_text='Offers are active from the start date. Leave this empty if the offer has no start date.', verbose_name='Start date'),
        ),
    ]
