# Generated by Django 3.2.9 on 2021-12-22 14:48

from django.db import migrations


def strip_leading_zero_upcs(apps, schema):
    Product = apps.get_model('catalogue', 'Product')
    for product in Product.objects.filter(upc__startswith='0'):
        new_upc = product.upc.lstrip('0')
        if Product.objects.filter(upc=new_upc).exists():
            raise AttributeError('Artikelnummer existiert ohne führende 0.')
        product.upc = new_upc
        product.save()


class Migration(migrations.Migration):

    dependencies = [
        ('catalogue', '0052_auto_20210817_2135'),
    ]

    operations = [
        migrations.RunPython(strip_leading_zero_upcs, migrations.RunPython.noop),
    ]
