# Generated by Django 3.2.11 on 2022-02-03 02:25

from uuid import uuid4
from django.conf import settings
from django.db import migrations, models


def sync_id_for_models(apps, schema):
    model_names = [
        'attributeoption',
        'attributeoptiongroup',
        'category',
        'manufacturer',
        'product',
        'productattribute',
        'productattributevalue',
        'productclass',
        'productimage',
        'tax',
        'productcategory',
    ]
    for model_name in model_names:
        model = apps.get_model('catalogue', model_name)
        objects = list(model.objects.all())
        for instance in objects:
            instance.sync_id = uuid4()
        model.objects.bulk_update(objects, fields=['sync_id'], batch_size=1000)


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('catalogue', '0055_site'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='category',
            name='site',
        ),
        migrations.AddField(
            model_name='attributeoption',
            name='sync_id',
            field=models.UUIDField(blank=True, default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', null=True, verbose_name='Sync-Id'),
        ),
        migrations.AddField(
            model_name='attributeoptiongroup',
            name='sync_id',
            field=models.UUIDField(blank=True, default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', null=True, verbose_name='Sync-Id'),
        ),
        migrations.AddField(
            model_name='category',
            name='sync_id',
            field=models.UUIDField(blank=True, default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', null=True, verbose_name='Sync-Id'),
        ),
        migrations.AddField(
            model_name='manufacturer',
            name='logo',
            field=models.ImageField(blank=True, null=True, upload_to='', verbose_name='Logo'),
        ),
        migrations.AddField(
            model_name='manufacturer',
            name='sync_id',
            field=models.UUIDField(blank=True, default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', null=True, verbose_name='Sync-Id'),
        ),
        migrations.AddField(
            model_name='product',
            name='sync_id',
            field=models.UUIDField(blank=True, default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', null=True, verbose_name='Sync-Id'),
        ),
        migrations.AddField(
            model_name='productattribute',
            name='sync_id',
            field=models.UUIDField(blank=True, default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', null=True, verbose_name='Sync-Id'),
        ),
        migrations.AddField(
            model_name='productattributevalue',
            name='sync_id',
            field=models.UUIDField(blank=True, default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', null=True, verbose_name='Sync-Id'),
        ),
        migrations.AddField(
            model_name='productcategory',
            name='sync_id',
            field=models.UUIDField(blank=True, default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', null=True, verbose_name='Sync-Id'),
        ),
        migrations.AddField(
            model_name='productclass',
            name='sync_id',
            field=models.UUIDField(blank=True, default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', null=True, verbose_name='Sync-Id'),
        ),
        migrations.AddField(
            model_name='productimage',
            name='sync_id',
            field=models.UUIDField(blank=True, default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', null=True, verbose_name='Sync-Id'),
        ),
        migrations.AddField(
            model_name='tax',
            name='sync_id',
            field=models.UUIDField(blank=True, default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', null=True, verbose_name='Sync-Id'),
        ),
        migrations.AlterField(
            model_name='product',
            name='editors',
            field=models.ManyToManyField(blank=True, help_text='Diese Benutzer dürfen das Produkt ohne Überprüfung editieren', related_name='edited_products', to=settings.AUTH_USER_MODEL, verbose_name='Product Editoren'),
        ),
        migrations.DeleteModel(
            name='SiteProduct',
        ),

        migrations.RunPython(sync_id_for_models, migrations.RunPython.noop),

        migrations.AlterField(
            model_name='attributeoption',
            name='sync_id',
            field=models.UUIDField(default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', unique=True, verbose_name='Sync-Id'),
        ),
        migrations.AlterField(
            model_name='attributeoptiongroup',
            name='sync_id',
            field=models.UUIDField(default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', unique=True, verbose_name='Sync-Id'),
        ),
        migrations.AlterField(
            model_name='category',
            name='sync_id',
            field=models.UUIDField(default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', unique=True, verbose_name='Sync-Id'),
        ),
        migrations.AlterField(
            model_name='manufacturer',
            name='sync_id',
            field=models.UUIDField(default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', unique=True, verbose_name='Sync-Id'),
        ),
        migrations.AlterField(
            model_name='product',
            name='sync_id',
            field=models.UUIDField(default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', unique=True, verbose_name='Sync-Id'),
        ),
        migrations.AlterField(
            model_name='productattribute',
            name='sync_id',
            field=models.UUIDField(default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', unique=True, verbose_name='Sync-Id'),
        ),
        migrations.AlterField(
            model_name='productattributevalue',
            name='sync_id',
            field=models.UUIDField(default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', unique=True, verbose_name='Sync-Id'),
        ),
        migrations.AlterField(
            model_name='productcategory',
            name='sync_id',
            field=models.UUIDField(default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', unique=True, verbose_name='Sync-Id'),
        ),
        migrations.AlterField(
            model_name='productclass',
            name='sync_id',
            field=models.UUIDField(default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', unique=True, verbose_name='Sync-Id'),
        ),
        migrations.AlterField(
            model_name='productimage',
            name='sync_id',
            field=models.UUIDField(default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', unique=True, verbose_name='Sync-Id'),
        ),
        migrations.AlterField(
            model_name='tax',
            name='sync_id',
            field=models.UUIDField(default=uuid4, editable=False, help_text='Für die Identifizierung des Objekts bei Synchronisierungsvorgängen', unique=True, verbose_name='Sync-Id'),
        ),
    ]
