# Generated by Django 3.2.11 on 2022-02-10 11:53

from django.db import migrations


def migrate_reusability(apps, schema):
    ProductAttributeValue = apps.get_model('catalogue', 'ProductAttributeValue')
    values = ProductAttributeValue.objects.filter(attribute__code='reusable')
    mapping = {'EINWEG': 0, 'MEHRWEG': 1}

    for value in values:
        value.product.reusability = mapping[value.value_option.option]
        value.product.save()


def migrate_brand(apps, schema):
    ProductAttributeValue = apps.get_model('catalogue', 'ProductAttributeValue')
    Manufacturer = apps.get_model('catalogue', 'Manufacturer')
    values = ProductAttributeValue.objects.filter(attribute__code='brand')

    for value in values:
        value.product.manufacturer = Manufacturer.objects.get_or_create(
            name=value.value_option.option)[0]
        value.product.save()


class Migration(migrations.Migration):

    dependencies = [
        ('catalogue', '0056_sync_id'),
    ]

    operations = [
        migrations.RunPython(migrate_reusability, migrations.RunPython.noop),
        migrations.RunPython(migrate_brand, migrations.RunPython.noop),
    ]
