# Generated by Django 3.1.6 on 2021-06-04 18:06

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('communication', '0004_auto_20200801_0817'),
    ]

    operations = [
        migrations.CreateModel(
            name='EmailRecipient',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email_address', models.EmailField(blank=True, max_length=254, null=True, verbose_name='E-Mail Recipient')),
            ],
        ),
        migrations.CreateModel(
            name='SftpCommunication',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sftp_profile_title', models.CharField(help_text='Title of this profile', max_length=150, unique=True, verbose_name='SFTP profile title')),
                ('sftp_path', models.CharField(blank=True, help_text='Directory path on the target system', max_length=500, null=True, verbose_name='SFTP path')),
                ('sftp_host', models.CharField(blank=True, help_text='Hostname of the target system to connect to', max_length=150, null=True, verbose_name='SFTP hostname')),
                ('sftp_port', models.PositiveSmallIntegerField(default=22, help_text='Hostname of the target system to connect to', verbose_name='SFTP port')),
                ('sftp_user', models.CharField(blank=True, help_text='Username of the target system SFTP account', max_length=150, null=True, verbose_name='SFTP username')),
                ('sftp_cert', models.TextField(blank=True, help_text='Certificate of the target system SFTP account', null=True, verbose_name='SFTP certificate')),
                ('sftp_password', models.CharField(blank=True, help_text='Password of the target system SFTP account or certificate', max_length=150, null=True, verbose_name='SFTP password')),
            ],
        ),
        migrations.AlterField(
            model_name='email',
            name='subject',
            field=models.TextField(help_text='If Sftp profile is set, this is the Filename', max_length=255, verbose_name='Subject or sftp filename'),
        ),
        migrations.AddField(
            model_name='communicationeventtype',
            name='email_recipients',
            field=models.ManyToManyField(blank=True, help_text='Only used in custom events', to='communication.EmailRecipient', verbose_name='E-Mail recipients'),
        ),
        migrations.AddField(
            model_name='communicationeventtype',
            name='sftp_profile',
            field=models.ForeignKey(blank=True, help_text='If this is set, we will only write sftp file', null=True, on_delete=django.db.models.deletion.CASCADE, to='communication.sftpcommunication', verbose_name='SFTP profile'),
        ),
    ]
