# Generated by Django 3.2.10 on 2022-01-23 18:38

from django.db import migrations, models
import django.db.models.deletion


def add_site(apps, schema):
    app_name = 'communication'
    migrate_models = ['communicationeventtype', 'email', 'emailrecipient']
    Site = apps.get_model('sites', 'Site')
    if Site.objects.exists():
        for model_name in migrate_models:
            model = apps.get_model(app_name, model_name)
            model.objects.all().update(site=Site.objects.first())


class Migration(migrations.Migration):

    dependencies = [
        ('sites', '0002_alter_domain_unique'),
        ('communication', '0009_alter_communicationeventtype_event_type'),
    ]

    operations = [
        migrations.AddField(
            model_name='communicationeventtype',
            name='site',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='email',
            name='site',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='emailrecipient',
            name='site',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
            preserve_default=False,
        ),
        migrations.RunPython(add_site, migrations.RunPython.noop),
        migrations.AlterField(
            model_name='communicationeventtype',
            name='site',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
        ),
        migrations.AlterField(
            model_name='email',
            name='site',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
        ),
        migrations.AlterField(
            model_name='emailrecipient',
            name='site',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
        ),
    ]
