# Generated by Django 3.1.6 on 2021-05-18 13:50

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import filer.fields.image


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.FILER_IMAGE_MODEL),
        ('offer', '0015_auto_20201215_0143'),
    ]

    operations = [
        migrations.CreateModel(
            name='SlidePriceLabelPosition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('top', models.CharField(blank=True, max_length=10, null=True)),
                ('right', models.CharField(blank=True, max_length=10, null=True)),
                ('bottom', models.CharField(blank=True, max_length=10, null=True)),
                ('left', models.CharField(blank=True, max_length=10, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='OfferProductSpecialPriceBenefit',
            fields=[
            ],
            options={
                'verbose_name': 'Special price benefit',
                'verbose_name_plural': 'Special price benefits',
                'proxy': True,
                'indexes': [],
                'constraints': [],
            },
            bases=('offer.absolutediscountbenefit',),
        ),
        migrations.AddField(
            model_name='conditionaloffer',
            name='range',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='offer.range'),
        ),
        migrations.AddField(
            model_name='rangeproduct',
            name='image',
            field=filer.fields.image.FilerImageField(blank=True, help_text='Bild wird im Angebots-Slider angezeigt, wenn das Angebot \n        aktiv ist. Wenn nicht gesetzt, wird dieses Angebot nicht im Angebots- \n        Slider angezeigt.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='slider_image', to=settings.FILER_IMAGE_MODEL, verbose_name='Slider Bild'),
        ),
        migrations.AddField(
            model_name='rangeproduct',
            name='link',
            field=models.URLField(blank=True, help_text='Link des Elements im Angebots-Slider. Überschreibt den Link \n        des Produkts (wenn vorhanden).', max_length=300, null=True, verbose_name='Slider Link'),
        ),
        migrations.AddField(
            model_name='rangeproduct',
            name='special_price',
            field=models.DecimalField(blank=True, decimal_places=2, help_text='Sonderpreis, zu welchem das produkt angeboten wird, wenn \n        das Angebot aktiv ist. Wird im Preislabel angezeigt.', max_digits=12, null=True, verbose_name='Sonderpreis'),
        ),
        migrations.AddField(
            model_name='rangeproduct',
            name='title',
            field=models.CharField(blank=True, help_text='Titel des Preislabels im oberen Slider. Überschreibt den \n        Titel des Produkts (wenn vorhanden).', max_length=300, null=True, verbose_name='Slider Titel'),
        ),
        migrations.AlterField(
            model_name='benefit',
            name='type',
            field=models.CharField(blank=True, choices=[('special_price', 'Produkte dieses Sortiments zum Sonderpreis erhalten'), ('Percentage', "Discount is a percentage off of the product's value"), ('Absolute', "Discount is a fixed amount off of the product's value"), ('Multibuy', 'Discount is to give the cheapest product for free'), ('Fixed price', 'Get the products that meet the condition for a fixed price'), ('Shipping absolute', 'Discount is a fixed amount of the shipping cost'), ('Shipping fixed price', 'Get shipping for a fixed price'), ('Shipping percentage', 'Discount is a percentage off of the shipping cost')], max_length=128, verbose_name='Type'),
        ),
        migrations.AddField(
            model_name='rangeproduct',
            name='price_position',
            field=models.ForeignKey(blank=True, help_text='Position des Preislabels auf dem Element im \n        Angebots-Slider.', null=True, on_delete=django.db.models.deletion.SET_NULL, to='offer.slidepricelabelposition'),
        ),
    ]
