# Generated by Django 3.1.6 on 2021-05-19 11:34

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import filer.fields.image


class Migration(migrations.Migration):

    dependencies = [
        ('catalogue', '0046_product_priority'),
        migrations.swappable_dependency(settings.FILER_IMAGE_MODEL),
        ('offer', '0017_auto_20210518_1631'),
    ]

    operations = [
        migrations.CreateModel(
            name='RangeProductAdminProxy',
            fields=[
            ],
            options={
                'verbose_name': 'Special prices and display option',
                'verbose_name_plural': 'Special prices and display options',
                'proxy': True,
                'indexes': [],
                'constraints': [],
            },
            bases=('offer.rangeproduct',),
        ),
        migrations.AlterModelOptions(
            name='slidepricelabelposition',
            options={'ordering': ['top', 'right', 'bottom', 'left'], 'verbose_name': 'Label position', 'verbose_name_plural': 'Label positions'},
        ),
        migrations.AlterField(
            model_name='rangeproduct',
            name='display_order',
            field=models.IntegerField(default=0, verbose_name='Anzeigepriorität'),
        ),
        migrations.AlterField(
            model_name='rangeproduct',
            name='image',
            field=filer.fields.image.FilerImageField(blank=True, help_text='Aktiviert den Angebots-Slider.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='slider_image', to=settings.FILER_IMAGE_MODEL, verbose_name='Angebotsslider Bild'),
        ),
        migrations.AlterField(
            model_name='rangeproduct',
            name='link',
            field=models.URLField(blank=True, help_text='Link des Elements im Angebots-Slider. Überschreibt den Link \n        des Produkts (wenn vorhanden).', max_length=300, null=True, verbose_name='Angebotsslider Link'),
        ),
        migrations.AlterField(
            model_name='rangeproduct',
            name='price_position',
            field=models.ForeignKey(blank=True, help_text='Aktiviert das Preislabel und definiert dessen\n         Position.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='range_products', to='offer.slidepricelabelposition', verbose_name='Preisschild Position'),
        ),
        migrations.AlterField(
            model_name='rangeproduct',
            name='product',
            field=models.ForeignKey(blank=True, help_text='Aktiviert den Produkt-Slider und das Produkt Angebot.', null=True, on_delete=django.db.models.deletion.CASCADE, to='catalogue.product', verbose_name='Product'),
        ),
        migrations.AlterField(
            model_name='rangeproduct',
            name='special_price',
            field=models.DecimalField(blank=True, decimal_places=2, help_text='Sonderpreis, zu welchem das Produkt angeboten wird, wenn \n        das Angebot aktiv ist. Wird im Preislabel angezeigt.', max_digits=12, null=True, verbose_name='Angebotspreis'),
        ),
        migrations.AlterField(
            model_name='rangeproduct',
            name='title',
            field=models.CharField(blank=True, help_text='Titel des Preislabels im oberen Slider. Überschreibt den \n        Titel des Produkts (wenn vorhanden).', max_length=300, null=True, verbose_name='Preisschild Titel'),
        ),
        migrations.AlterUniqueTogether(
            name='rangeproduct',
            unique_together=set(),
        ),
        migrations.AddConstraint(
            model_name='rangeproduct',
            constraint=models.CheckConstraint(check=models.Q(models.Q(('image__isnull', False), ('product__isnull', True)), models.Q(('image__isnull', True), ('product__isnull', False)), models.Q(('image__isnull', False), ('product__isnull', False)), _connector='OR'), name='offer_rangeproduct_product_and_or_image'),
        ),
    ]
