# Generated by Django 3.2.11 on 2022-02-10 23:08

from django.db import migrations, models
import django.db.models.deletion


def set_offer_site_to_partner(apps, schema):
    ConditionalOffer = apps.get_model('offer', 'ConditionalOffer')
    Partner = apps.get_model('partner', 'Partner')
    if ConditionalOffer.objects.exists() and not Partner.objects.exists():
        raise AttributeError('Need partner!!!')
    partner = Partner.objects.order_by('priority').first()
    ConditionalOffer.objects.update(partner=partner)



class Migration(migrations.Migration):

    dependencies = [
        ('partner', '0016_partner_wishlist_as_link'),
        ('offer', '0027_slide_price_label_with_subtitle'),
    ]

    operations = [
        migrations.AddField(
            model_name='conditionaloffer',
            name='partner',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='partner.partner'),
        ),
        migrations.RunPython(set_offer_site_to_partner, migrations.RunPython.noop),
        migrations.RemoveField(
            model_name='conditionaloffer',
            name='site',
        ),
    ]
