# Generated by Django 3.2.7 on 2021-09-20 16:11

from django.db import migrations, models, connection


def set_order_sequence(apps, schema):
    Order = apps.get_model('order', 'Order')
    qs = Order.objects.filter(number__lt=9000000)
    if qs.exists():
        nextval = int(
            qs.order_by('-number').first().number
        ) + 1
    else:
        nextval = 100001

    is_postgres = schema.connection.vendor.startswith('postgres')
    if is_postgres and nextval < 9000000:  # avoid running twice
        cursor = connection.cursor()
        cursor = cursor.execute(
            f""" ALTER SEQUENCE order_order_id_seq RESTART WITH {nextval}; """
        )


class Migration(migrations.Migration):

    dependencies = [
        ('order', '0029_alter_order_shipping_reference'),
    ]

    operations = [
        migrations.AlterField(
            model_name='order',
            name='number',
            field=models.CharField(blank=True, db_index=True, max_length=128, null=True, unique=True, verbose_name='Order number'),
        ),
        #migrations.RunPython(set_order_sequence, migrations.RunPython.noop),
    ]
