# Generated by Django 3.1.6 on 2021-07-22 14:15

from django.db import migrations, models


def create_default_partner(apps, schema):
    Partner = apps.get_model('partner', 'Partner')
    if not Partner.objects.all():  # No Partner at all
        Partner.objects.create(code='default', name='default')
    elif not Partner.objects.filter(code='default'):  # Rename import
        Partner.objects.filter(code='import').update(
            code='default', name='Standard',
        )

def set_partner_priority(apps, schema):
    Partner = apps.get_model('partner', 'Partner')
    for partner in Partner.objects.all():
        if partner.name == 'default':
            partner.priority = 0
        else:
            priorities = Partner.objects.values_list('priority', flat=True)
            partner.priority = max(priorities) + 10
        partner.save()


class Migration(migrations.Migration):

    dependencies = [
        ('partner', '0012_auto_20201214_1721'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='partner',
            options={'ordering': ('-priority', 'name', 'code'), 'permissions': (('dashboard_access', 'Can access dashboard'),), 'verbose_name': 'Fulfillment partner', 'verbose_name_plural': 'Fulfillment partners'},
        ),
        migrations.AlterModelOptions(
            name='stockrecord',
            options={'ordering': ('product_id', '-partner__priority')},
        ),
        migrations.AddField(
            model_name='partner',
            name='priceless_checkout',
            field=models.BooleanField(default=False, help_text='Allow checkout without price for users of this partner group', verbose_name='Checkout without price'),
        ),
        migrations.AddField(
            model_name='partner',
            name='priority',
            field=models.PositiveSmallIntegerField(blank=True, default=0, null=True),
        ),
        migrations.AlterUniqueTogether(
            name='stockrecord',
            unique_together=set(),
        ),
        migrations.RunPython(create_default_partner, migrations.RunPython.noop),
        migrations.RunPython(set_partner_priority, migrations.RunPython.noop),
        migrations.AlterField(
            model_name='partner',
            name='priority',
            field=models.PositiveSmallIntegerField(default=0, unique=True),
        ),
    ]
