# Generated by Django 3.2.10 on 2022-01-23 18:38

from django.db import migrations, models
import django.db.models.deletion
import oscar.models.fields.autoslugfield


def add_site(apps, schema):
    app_name = 'partner'
    migrate_models = ['partner']
    Site = apps.get_model('sites', 'Site')
    if not Site.objects.exists():
        Site.objects.create(domain='localhost', name='localhost')
    for model_name in migrate_models:
        model = apps.get_model(app_name, model_name)
        model.objects.all().update(site=Site.objects.first())


class Migration(migrations.Migration):

    dependencies = [
        ('sites', '0002_alter_domain_unique'),
        ('partner', '0014_stockrecord_meta'),
    ]

    operations = [
        migrations.AddField(
            model_name='partner',
            name='site',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
            preserve_default=False,
        ),
        migrations.RunPython(add_site, migrations.RunPython.noop),
        migrations.AlterField(
            model_name='partner',
            name='priority',
            field=models.PositiveSmallIntegerField(default=0),
        ),
        migrations.AlterUniqueTogether(
            name='partner',
            unique_together={('site', 'priority')},
        ),
        migrations.AlterField(
            model_name='partner',
            name='site',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
        ),
        migrations.AlterField(
            model_name='partner',
            name='code',
            field=oscar.models.fields.autoslugfield.AutoSlugField(blank=True, editable=False, max_length=128, populate_from='name', verbose_name='Code'),
        ),
        migrations.AlterUniqueTogether(
            name='partner',
            unique_together={('site', 'code'), ('site', 'priority')},
        ),
    ]
