# Generated by Django 3.2.5 on 2021-08-09 18:57

from django.db import migrations, models


def add_default_partner(apps, schema):
    SourceType = apps.get_model('payment', 'SourceType')
    Partner = apps.get_model('partner', 'Partner')
    default_partner = Partner.objects.filter(code='default').first()

    if default_partner:
        for source_type in SourceType.objects.filter(partners=None):
            source_type.partners.add(default_partner)


class Migration(migrations.Migration):

    dependencies = [
        ('partner', '0013_zero_prices'),
        ('payment', '0011_auto_20210614_2033'),
    ]

    operations = [
        migrations.AddField(
            model_name='sourcetype',
            name='partners',
            field=models.ManyToManyField(blank=True, related_name='source_types', to='partner.Partner'),
        ),
        migrations.RunPython(add_default_partner, migrations.RunPython.noop)
    ]
