# Generated by Django 3.1.6 on 2021-06-04 17:50

from decimal import Decimal
from django.db import migrations, models


def create_delivery_methods(apps, schema):
    OrderAndItemCharges = apps.get_model('shipping', 'OrderAndItemCharges')
    OrderAndItemCharges.objects.get_or_create(
        code='shipping',
        defaults={
            'display_order': 1,
            'name': 'Versand',
            'maximum_floor_difference': 2,
            'postcode_restricted': True,
        }
    )


def create_delivery_methods_reverse(apps, schema):
    return


class Migration(migrations.Migration):

    dependencies = [
        ('shipping', '0003_auto_20181115_1953'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='orderanditemcharges',
            options={'ordering': ['display_order']},
        ),
        migrations.AddField(
            model_name='orderanditemcharges',
            name='display_order',
            field=models.SmallIntegerField(default=0, verbose_name='Display order'),
        ),
        migrations.AddField(
            model_name='orderanditemcharges',
            name='maximum_floor_difference',
            field=models.PositiveSmallIntegerField(default=2, verbose_name='Maximum floor difference'),
        ),
        migrations.AddField(
            model_name='orderanditemcharges',
            name='minimum_order_value',
            field=models.DecimalField(decimal_places=2, default=Decimal('30.00'), max_digits=12, verbose_name='Amount Allocated'),
        ),
        migrations.AddField(
            model_name='orderanditemcharges',
            name='postcode_restricted',
            field=models.BooleanField(default=False, help_text='If True a valid postcode is needed to use this', verbose_name='Postcode restricted'),
        ),
        migrations.AddField(
            model_name='orderanditemcharges',
            name='price_per_floor',
            field=models.DecimalField(decimal_places=2, default=Decimal('0.00'), max_digits=12, verbose_name='Amount Allocated'),
        ),
        migrations.AlterField(
            model_name='orderanditemcharges',
            name='maximum_floor_difference',
            field=models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='Maximum floor difference'),
        ),
        migrations.RunPython(create_delivery_methods, create_delivery_methods_reverse),
    ]
