# Generated by Django 3.1.6 on 2021-07-16 12:25

from decimal import Decimal
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('partner', '0012_auto_20201214_1721'),
        ('shipping', '0005_auto_20210614_2033'),
    ]

    operations = [
        migrations.AddField(
            model_name='orderanditemcharges',
            name='partner',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='shipping_methods', to='partner.partner', verbose_name='Partner'),
        ),
        migrations.AddField(
            model_name='orderanditemcharges',
            name='price_per_box',
            field=models.DecimalField(decimal_places=2, default=Decimal('0.00'), help_text='Is overwritten if single floors are configured.', max_digits=12, verbose_name='Price per box item'),
        ),
        migrations.AddField(
            model_name='orderanditemcharges',
            name='reference',
            field=models.CharField(blank=True, help_text='Is overwritten if single floors are configured.', max_length=50, null=True, verbose_name='Reference number'),
        ),
        migrations.AlterField(
            model_name='orderanditemcharges',
            name='maximum_floor_difference',
            field=models.PositiveSmallIntegerField(blank=True, help_text='Is overwritten if single floors are configured.', null=True, verbose_name='Maximum floor difference'),
        ),
        migrations.AlterField(
            model_name='orderanditemcharges',
            name='minimum_order_value',
            field=models.DecimalField(decimal_places=2, default=Decimal('30.00'), max_digits=12, verbose_name='Minimum order value'),
        ),
        migrations.AlterField(
            model_name='orderanditemcharges',
            name='price_per_floor',
            field=models.DecimalField(decimal_places=2, default=Decimal('0.00'), help_text='Is overwritten if single floors are configured.', max_digits=12, verbose_name='Price per floor'),
        ),
        migrations.AlterField(
            model_name='orderanditemcharges',
            name='price_per_item',
            field=models.DecimalField(decimal_places=2, default=Decimal('0.00'), help_text='Is overwritten if single floors are configured.', max_digits=12, verbose_name='Price per item'),
        ),
        migrations.AlterField(
            model_name='orderanditemcharges',
            name='price_per_order',
            field=models.DecimalField(decimal_places=2, default=Decimal('0.00'), help_text='Is overwritten if single floors are configured.', max_digits=12, verbose_name='Price per order'),
        ),
        migrations.CreateModel(
            name='ShippedFloor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('floor_number', models.SmallIntegerField(verbose_name='Floor number')),
                ('price', models.DecimalField(decimal_places=2, default=Decimal('0.00'), max_digits=12, verbose_name='Price')),
                ('price_per_item', models.DecimalField(decimal_places=2, default=Decimal('0.00'), max_digits=12, verbose_name='Price per item')),
                ('price_per_box', models.DecimalField(decimal_places=2, default=Decimal('0.00'), max_digits=12, verbose_name='Price per box item')),
                ('reference', models.CharField(blank=True, max_length=50, null=True, verbose_name='Reference number')),
                ('shipping', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='shipped_floors', to='shipping.orderanditemcharges')),
            ],
            options={
                'verbose_name': 'Shipped floor',
                'verbose_name_plural': 'Shipped floors',
                'ordering': ['-floor_number'],
            },
        ),
        migrations.AddConstraint(
            model_name='shippedfloor',
            constraint=models.UniqueConstraint(fields=('shipping', 'floor_number'), name='unique_shipped_floor'),
        ),
    ]
