# Generated by Django 3.2.5 on 2021-08-10 18:35

from django.db import migrations, models


def add_default_partner(apps, schema):
    OrderAndItemCharges = apps.get_model('shipping', 'OrderAndItemCharges')
    Partner = apps.get_model('partner', 'Partner')
    default_partner = Partner.objects.filter(code='default').first()

    if default_partner:
        for method in OrderAndItemCharges.objects.filter(partners=None):
            method.partners.add(default_partner)


class Migration(migrations.Migration):

    dependencies = [
        ('partner', '0013_zero_prices'),
        ('shipping', '0006_auto_20210716_1425'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='orderanditemcharges',
            name='partner',
        ),
        migrations.AddField(
            model_name='orderanditemcharges',
            name='method_type',
            field=models.PositiveSmallIntegerField(choices=[(1, 'Delivery'), (2, 'Pickup')], default=1, verbose_name='Shipping Type'),
        ),
        migrations.AddField(
            model_name='orderanditemcharges',
            name='partners',
            field=models.ManyToManyField(blank=True, related_name='shipping_methods', to='partner.Partner'),
        ),
        migrations.AddField(
            model_name='orderanditemcharges',
            name='track_floor',
            field=models.BooleanField(default=True, help_text='Enable tracking of the floor number during checkout', verbose_name='Track floor number'),
        ),
        migrations.RunPython(add_default_partner, migrations.RunPython.noop)
    ]
