# Generated by Django 3.2.5 on 2021-08-16 09:38

from django.db import migrations, models


def create_formfields_choice(apps, schema):
    OrderAndItemCharges = apps.get_model('shipping', 'OrderAndItemCharges')
    for method in OrderAndItemCharges.objects.all():
        if not method.track_floor and not method.postcode_restricted:
            method.form_fields = 0
        elif method.track_floor and not method.postcode_restricted:
            method.form_fields = 1
        elif not method.track_floor and method.postcode_restricted:
            method.form_fields = 2
        elif method.track_floor and method.postcode_restricted:
            method.form_fields = 3
        method.save()


def create_formfields_choice_reverse(apps, schema):
    OrderAndItemCharges = apps.get_model('shipping', 'OrderAndItemCharges')
    for method in OrderAndItemCharges.objects.all():
        if method.form_fields == 0:
            method.track_floor = False
            method.postcode_restricted = False
        elif method.form_fields == 1:
            method.track_floor = True
            method.postcode_restricted = False
        elif method.form_fields == 2:
            method.track_floor = False
            method.postcode_restricted = True
        elif method.form_fields == 3:
            method.track_floor = True
            method.postcode_restricted = True
        method.save()


class Migration(migrations.Migration):

    dependencies = [
        ('shipping', '0007_zero_prices'),
    ]

    operations = [
        migrations.AddField(
            model_name='orderanditemcharges',
            name='form_fields',
            field=models.PositiveSmallIntegerField(choices=[(0, 'No form'), (1, 'Floor'), (2, 'Delivery'), (3, 'Floor and delivery'), (4, 'Date')], default=0, verbose_name='Form fields'),
        ),
        migrations.RunPython(create_formfields_choice, create_formfields_choice_reverse),
        migrations.RemoveField(
            model_name='orderanditemcharges',
            name='postcode_restricted',
        ),
        migrations.RemoveField(
            model_name='orderanditemcharges',
            name='track_floor',
        ),
    ]
