# Generated by Django 3.2.11 on 2022-02-17 11:02

from django.db import migrations, models
from django.db.models.expressions import Window, F
from django.db.models.functions.window import DenseRank


def save_position(apps, schema):
    WishList = apps.get_model('wishlists', 'WishList')
    Line = apps.get_model('wishlists', 'Line')
    lines = []
    qs = WishList.objects.prefetch_related('lines')
    for wishlist in qs:
        index = 1
        for line in wishlist.lines.all():
            line.position = index
            index += 1
            lines.append(line)
    Line.objects.bulk_update(lines, ['position'])


class Migration(migrations.Migration):

    dependencies = [
        ('wishlists', '0003_auto_20181115_1953'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='line',
            options={'ordering': ['position', 'pk'], 'verbose_name': 'Orderlistenposition', 'verbose_name_plural': 'Orderlistenpositionen'},
        ),
        migrations.AddField(
            model_name='line',
            name='position',
            field=models.PositiveIntegerField(blank=True, help_text='Position innerhalb der Liste', null=True, verbose_name='Position'),
        ),
        migrations.RunPython(save_position, migrations.RunPython.noop),
        migrations.AlterField(
            model_name='line',
            name='position',
            field=models.PositiveIntegerField(help_text='Position innerhalb der Liste', verbose_name='Position'),
        ),
    ]
