
__all__ = ('INSTALLED_APPS', )

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'django.contrib.humanize',
    'django.contrib.sites',

    'django.contrib.flatpages',
    'pages.apps.PagesConfig',

    'django.contrib.postgres',
    'django.contrib.redirects',
    'django.contrib.sitemaps',

    'user.apps.UserConfig',
    'custom.config.Shop',
    'custom.apps.CustomConfig',
    'oscar.apps.analytics.apps.AnalyticsConfig',
    'apps.address.apps.AddressConfig',
    'apps.checkout.apps.CheckoutConfig',
    'apps.shipping.apps.ShippingConfig',
    'apps.catalogue.apps.CatalogueConfig',
    'oscar.apps.catalogue.reviews.apps.CatalogueReviewsConfig',
    'apps.communication.apps.CommunicationConfig',
    'apps.partner.apps.PartnerConfig',
    'apps.basket.apps.BasketConfig',
    'apps.payment.apps.PaymentConfig',
    'apps.offer.apps.OfferConfig',
    'apps.order.apps.OrderConfig',
    'apps.customer.apps.CustomerConfig',
    'oscar.apps.voucher.apps.VoucherConfig',
    'apps.wishlists.apps.WishlistsConfig',
    'apps.dashboard.apps.DashboardConfig',
    'oscar.apps.dashboard.reports.apps.ReportsDashboardConfig',
    'oscar.apps.dashboard.users.apps.UsersDashboardConfig',
    'oscar.apps.dashboard.orders.apps.OrdersDashboardConfig',
    'apps.dashboard.catalogue.apps.CatalogueDashboardConfig',
    'apps.dashboard.offers.apps.OffersDashboardConfig',
    'oscar.apps.dashboard.partners.apps.PartnersDashboardConfig',
    'oscar.apps.dashboard.pages.apps.PagesDashboardConfig',
    'oscar.apps.dashboard.ranges.apps.RangesDashboardConfig',
    'oscar.apps.dashboard.reviews.apps.ReviewsDashboardConfig',
    'oscar.apps.dashboard.vouchers.apps.VouchersDashboardConfig',
    'oscar.apps.dashboard.communications.apps.CommunicationsDashboardConfig',
    'oscar.apps.dashboard.shipping.apps.ShippingDashboardConfig',

    # 3rd-party apps that oscar depends on
    'widget_tweaks',
    'treebeard',
    'sorl.thumbnail',  # Default thumbnail backend, can be replaced
    'django_tables2',
    'debug_toolbar',
    'dbbackup',
    'django_extensions',
    'delivery.apps.DeliveryConfig',
    'localflavor',
    'newsletter',
    'lockdown',
    'filer',
    'easy_thumbnails',
    'favicon',
    'blueline_client',
    'oscar_product_tables.apps.ProductTablesConfig',
    'oscar_product_tables.dashboard.apps.ProductTablesDashboardConfig',
    'oscar_pg_search.apps.PgSearchConfig',
    'rest_framework',
    'oscarapi',
    'api',
    'sync.apps.SyncConfig',
]
