# Generated by Django 3.1.6 on 2021-05-28 22:08

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import filer.fields.image


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.FILER_IMAGE_MODEL),
        ('custom', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Configuration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('company_name', models.CharField(help_text='This is the full company name (eg. Company GmbH&Co KG)', max_length=150, verbose_name='Full company name')),
                ('company_contact', models.TextField(help_text='The full contact information of the customers shop manager.', verbose_name='Company contact information')),
                ('color_1', models.CharField(help_text='CSS main color of the brand.', max_length=50, verbose_name='Main accent color')),
                ('color_2', models.CharField(help_text='CSS second color of the brand.', max_length=50, verbose_name='Second accent color')),
                ('color_background', models.CharField(default='white', help_text='CSS background color of the page.', max_length=50, verbose_name='Background color')),
                ('first_slider_element', filer.fields.image.FilerImageField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='first_slider_element', to=settings.FILER_IMAGE_MODEL, verbose_name='First slider element')),
                ('header_hints_bottom_1', filer.fields.image.FilerImageField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='header_hints_bottom_1', to=settings.FILER_IMAGE_MODEL, verbose_name='Header hints block bottom left image')),
                ('header_hints_bottom_2', filer.fields.image.FilerImageField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='header_hints_bottom_2', to=settings.FILER_IMAGE_MODEL, verbose_name='Header hints block bottom right image')),
                ('header_hints_top_1', filer.fields.image.FilerImageField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='header_hints_top_1', to=settings.FILER_IMAGE_MODEL, verbose_name='Header hints block top image')),
                ('logo', filer.fields.image.FilerImageField(on_delete=django.db.models.deletion.CASCADE, related_name='logo_image', to=settings.FILER_IMAGE_MODEL, verbose_name='Logo')),
                ('logo_square', filer.fields.image.FilerImageField(on_delete=django.db.models.deletion.CASCADE, related_name='logo_image_square', to=settings.FILER_IMAGE_MODEL, verbose_name='Logo square')),
                ('no_image', filer.fields.image.FilerImageField(on_delete=django.db.models.deletion.CASCADE, related_name='no_image', to=settings.FILER_IMAGE_MODEL, verbose_name='No image')),
                ('slider_intro', filer.fields.image.FilerImageField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='slider_intro', to=settings.FILER_IMAGE_MODEL, verbose_name='Slider intro image')),
                ('slider_intro_responsive', filer.fields.image.FilerImageField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='slider_intro_responsive', to=settings.FILER_IMAGE_MODEL, verbose_name='Slider intro image responsive')),
            ],
        ),
        migrations.CreateModel(
            name='SocialLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.PositiveSmallIntegerField(choices=[(1, 'Facebook'), (2, 'Instagram'), (100, 'Custom')], verbose_name='Code')),
                ('url', models.URLField()),
                ('html', models.TextField(blank=True, null=True)),
                ('configuration', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='custom.configuration')),
            ],
            options={
                'ordering': ('code',),
            },
        ),
    ]
