# Generated by Django 3.2.5 on 2021-08-17 19:51

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('address', '0025_auto_20210609_1033'),
        ('catalogue', '0052_auto_20210817_2135'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('custom', '0008_auto_20210625_1140'),
    ]

    operations = [
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150)),
                ('created', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='TagValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.TextField(blank=True, default=None, null=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('product', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='tag_values', to='catalogue.product')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='values', to='custom.tag')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('user_address', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='tag_values', to='address.useraddress')),
            ],
        ),
        migrations.AddField(
            model_name='tag',
            name='addresses',
            field=models.ManyToManyField(related_name='tags', through='custom.TagValue', to='address.UserAddress'),
        ),
        migrations.AddField(
            model_name='tag',
            name='products',
            field=models.ManyToManyField(related_name='tags', through='custom.TagValue', to='catalogue.Product'),
        ),
        migrations.AddField(
            model_name='tag',
            name='users',
            field=models.ManyToManyField(related_name='tags', through='custom.TagValue', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddConstraint(
            model_name='tagvalue',
            constraint=models.CheckConstraint(check=models.Q(models.Q(('product__isnull', True), ('user__isnull', False), ('user_address__isnull', True)), models.Q(('product__isnull', True), ('user__isnull', True), ('user_address__isnull', False)), models.Q(('product__isnull', False), ('user__isnull', True), ('user_address__isnull', True)), _connector='OR'), name='custom_tagvalue_tag_values'),
        ),
    ]
