# Generated by Django 3.2.10 on 2022-01-23 18:38

from django.db import migrations, models
import django.db.models.deletion


def add_site(apps, schema):
    app_name = 'custom'
    migrate_models = ['configuration', 'sociallink']
    Site = apps.get_model('sites', 'Site')
    if Site.objects.exists():
        for model_name in migrate_models:
            model = apps.get_model(app_name, model_name)
            model.objects.all().update(site=Site.objects.first())


class Migration(migrations.Migration):

    dependencies = [
        ('sites', '0002_alter_domain_unique'),
        ('custom', '0013_configuration_basket_sumup_with_deposit'),
    ]

    operations = [
        migrations.AddField(
            model_name='configuration',
            name='site',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='sociallink',
            name='site',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
            preserve_default=False,
        ),
        migrations.AlterUniqueTogether(
            name='sociallink',
            unique_together={('site', 'code')},
        ),
        migrations.RunPython(add_site, migrations.RunPython.noop),
        migrations.AlterField(
            model_name='configuration',
            name='site',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
        ),
        migrations.AlterField(
            model_name='sociallink',
            name='site',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
        ),
    ]
