# Generated by Django 3.0.10 on 2020-12-02 10:47

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='GlobalBlocklist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('date', models.DateField(unique=True, verbose_name='Date')),
                ('name', models.CharField(blank=True, max_length=50, null=True, verbose_name='Name')),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
            ],
            options={
                'verbose_name': 'Global Offday',
                'verbose_name_plural': 'Global Offdays',
            },
        ),
        migrations.CreateModel(
            name='Postcode',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('postcode', models.PositiveIntegerField(unique=True, verbose_name='Postcode')),
                ('city', models.CharField(max_length=50, verbose_name='City')),
            ],
            options={
                'verbose_name': 'Postcode',
                'verbose_name_plural': 'Postcodes',
                'ordering': ['postcode'],
            },
        ),
        migrations.CreateModel(
            name='Tour',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('postcodes', models.ManyToManyField(to='delivery.Postcode')),
            ],
            options={
                'verbose_name': 'Tour',
                'verbose_name_plural': 'Tours',
            },
        ),
        migrations.CreateModel(
            name='TourBlocklist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('date', models.DateField(unique=True, verbose_name='Date')),
                ('name', models.CharField(blank=True, max_length=50, null=True, verbose_name='Name')),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
                ('tour', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='delivery.Tour')),
            ],
            options={
                'verbose_name': 'Tour Offday',
                'verbose_name_plural': 'Tour Offdays',
            },
        ),
        migrations.CreateModel(
            name='DeliveryTime',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('weekday', models.PositiveSmallIntegerField(choices=[(1, 'Monday'), (2, 'Tuesday'), (3, 'Wednesday'), (4, 'Thursday'), (5, 'Friday'), (6, 'Saturday'), (7, 'Sunday')], verbose_name='Weekday')),
                ('start', models.TimeField(blank=True, null=True, verbose_name='Start')),
                ('end', models.TimeField(blank=True, null=True, verbose_name='End')),
                ('tour', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='delivery.Tour')),
            ],
            options={
                'verbose_name': 'Delivery Time',
                'verbose_name_plural': 'Delivery Times',
            },
        ),
        migrations.CreateModel(
            name='Delivery',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField(verbose_name='Date')),
                ('time', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='delivery.DeliveryTime')),
            ],
            options={
                'verbose_name': 'Delivery',
                'verbose_name_plural': 'Deliveries',
                'unique_together': {('time', 'date')},
            },
        ),
    ]
