# Generated by Django 3.2.10 on 2022-01-23 19:11

from django.db import migrations, models
import django.db.models.deletion


def add_site(apps, schema):
    app_name = 'delivery'
    migrate_models = ['globalblocklist', 'delivery', 'tour', 'tourblocklist']
    Site = apps.get_model('sites', 'Site')
    if Site.objects.exists():
        for model_name in migrate_models:
            model = apps.get_model(app_name, model_name)
            model.objects.all().update(site=Site.objects.first())


class Migration(migrations.Migration):

    dependencies = [
        ('sites', '0002_alter_domain_unique'),
        ('delivery', '0005_delivery_target_time'),
    ]

    operations = [
        migrations.AddField(
            model_name='delivery',
            name='site',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='globalblocklist',
            name='site',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='tour',
            name='site',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='tourblocklist',
            name='site',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='globalblocklist',
            name='date',
            field=models.DateField(verbose_name='Date'),
        ),
        migrations.AlterField(
            model_name='tourblocklist',
            name='date',
            field=models.DateField(verbose_name='Date'),
        ),
        migrations.AlterUniqueTogether(
            name='delivery',
            unique_together={('site', 'time', 'date')},
        ),
        migrations.AlterUniqueTogether(
            name='globalblocklist',
            unique_together={('site', 'date')},
        ),
        migrations.AlterUniqueTogether(
            name='tourblocklist',
            unique_together={('site', 'date')},
        ),
        migrations.RunPython(add_site, migrations.RunPython.noop),
        migrations.AlterField(
            model_name='delivery',
            name='site',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
        ),
        migrations.AlterField(
            model_name='globalblocklist',
            name='site',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
        ),
        migrations.AlterField(
            model_name='tour',
            name='site',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
        ),
        migrations.AlterField(
            model_name='tourblocklist',
            name='site',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.site', verbose_name='Site'),
        ),
    ]
